#
# spec file for package yast2-reipl (Version 2.13.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-reipl
Version:        2.13.0
Release:        0.4.68
License:        GPL v2 only; GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-reipl-2.13.0.tar.bz2
Prefix:         /usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer sgml-skel update-desktop-files yast2 yast2-bootloader yast2-devtools yast2-storage yast2-testsuite
Requires:       yast2 yast2-storage yast2-bootloader
PreReq:         %fillup_prereq
BuildArch:      noarch
Summary:        YaST2 - IPL loader
Group:          System/YaST
PreReq:         %fillup_prereq
Summary:        YaST2 - IPL loader

%description
Module for loading IPL from running system on S/390



%prep
%setup -n yast2-reipl-2.13.0

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre

%post
%{fillup_only -ns security checksig}

%files
%defattr(-,root,root)
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{prefix}/share/applications/YaST2/*.desktop
%dir /usr/share/YaST2/include/reipl
/usr/share/YaST2/include/reipl/*
%dir %{prefix}/share/doc/packages/yast2-reipl
%doc %{prefix}/share/doc/packages/yast2-reipl/*
%doc %{prefix}/share/doc/packages/yast2-reipl/COPYING
%readme %{prefix}/share/doc/packages/yast2-reipl/README
%changelog
* Fri May 15 2009 jsrain@suse.cz
- backported for SLES10 SP3 (fate#305938)
- 2.13.0
* Mon Apr 20 2009 jsrain@suse.cz
- fixed handling of more than 26 disks (bnc #492326)
* Mon Feb  9 2009 hare@suse.de
- Final fix for reboot (bnc#471522)
* Fri Feb  6 2009 jsrain@suse.cz
- fixed rebooting (bnc #471522)
- 2.17.3
* Fri Oct 31 2008 jsrain@suse.cz
- do not rely on bootloader module being initialized (bnc #440261)
- 2.17.2
* Mon Oct 27 2008 jsrain@suse.cz
- added more verbose logging
- 2.17.1
* Thu Sep 11 2008 locilka@suse.cz
- Added reipl_finish to be called from installation.
- Added reipl_bootloader_finish to be called from bootloader.
- Fixed help texts - one gettext message for one <p>...</p>.
- 2.17.0
* Thu Sep 11 2008 uli@suse.de
- Initial version
